curl https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"data": {
"markdown": "# bunfig.toml\n\n> Configure Bun's behavior using its configuration file bunfig.toml\n\n`bunfig.toml` is Bun's…",
"metadata": {
"proxyUsed": "basic",
"title": "bunfig.toml",
"sourceURL": "https://bun.com/docs/runtime/bunfig",
"url": "https://bun.com/docs/runtime/bunfig",
"statusCode": 200,
"contentType": "text/markdown",
"cacheState": "hit",
"cachedAt": "2026-11-16T09:58:50.588Z",
"scrapeId": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
"creditsUsed": 1,
"costUsd": 0.001
}
},
"id": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
"costUsd": 0.001,
"creditsUsed": 1,
"requestId": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb"
}
Scrape
Read a scrape
Read a scrape again by its id. Results are kept for 24 hours. Send one request and get JSON back. Examples in cURL, TypeScript and Python.
GET
/
v1
/
scrape
/
{id}
curl https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"data": {
"markdown": "# bunfig.toml\n\n> Configure Bun's behavior using its configuration file bunfig.toml\n\n`bunfig.toml` is Bun's…",
"metadata": {
"proxyUsed": "basic",
"title": "bunfig.toml",
"sourceURL": "https://bun.com/docs/runtime/bunfig",
"url": "https://bun.com/docs/runtime/bunfig",
"statusCode": 200,
"contentType": "text/markdown",
"cacheState": "hit",
"cachedAt": "2026-11-16T09:58:50.588Z",
"scrapeId": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
"creditsUsed": 1,
"costUsd": 0.001
}
},
"id": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
"costUsd": 0.001,
"creditsUsed": 1,
"requestId": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb"
}
Price
Free. See Pricing.curl https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/scrape/ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"data": {
"markdown": "# bunfig.toml\n\n> Configure Bun's behavior using its configuration file bunfig.toml\n\n`bunfig.toml` is Bun's…",
"metadata": {
"proxyUsed": "basic",
"title": "bunfig.toml",
"sourceURL": "https://bun.com/docs/runtime/bunfig",
"url": "https://bun.com/docs/runtime/bunfig",
"statusCode": 200,
"contentType": "text/markdown",
"cacheState": "hit",
"cachedAt": "2026-11-16T09:58:50.588Z",
"scrapeId": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
"creditsUsed": 1,
"costUsd": 0.001
}
},
"id": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb",
"costUsd": 0.001,
"creditsUsed": 1,
"requestId": "ac28ed59-d0d8-4639-92e1-e1b0db5e9abb"
}